package org.jeecg.api.service;

import org.jeecg.api.bean.PageBean;
import org.jeecg.common.api.vo.Result;

public interface AppletCatService {


    //获取购物车信息列表带分页
    Result<?> getCartPageList(String token, PageBean pageBean);

    //加入购物车
    Result<?> addCart(String token, String shopId, Integer num);

    //删除购物车信息
    Result<?> deleteCart(String token,String ids);

    //修改购物车信息数量
    Result<?> updateCartNum(String token,String id,Integer num);


}
